Anaconda Enterprise: Documentation

# conda skeleton cran

    CONDA(1)                         User Commands                        CONDA(1)

## NAME

           conda - conda skeleton cran

## DESCRIPTION

           usage: conda-skeleton cran [-h] [--output-dir OUTPUT_DIR]

           [--output-suffix OUTPUT_SUFFIX]
                  [--add-maintainer ADD_MAINTAINER] [--version VERSION] [--git-tag
                  GIT_TAG]  [--all-urls]   [--cran-url   CRAN_URL]   [--recursive]
                  [--no-recursive]        [--no-archive]       [--version-compare]
                  [--update-policy      {error,skip-up-to-date,skip-existing,over-
                  write,merge-keep-build-num,merge-incr-build-num}]       packages
                  [packages ...]

       positional arguments:
           packages
                  CRAN packages to create recipe skeletons for.

       optional arguments:
           -h, --help
                  Show this help message and exit.

           --output-dir OUTPUT_DIR
                  Directory to write recipes to (default: .).

           --output-suffix OUTPUT_SUFFIX
                  Suffix to add to recipe dir, can contain other dirs (eg:  -feed-
                  stock/recipe).

           --add-maintainer ADD_MAINTAINER
                  Add this github username as a maintainer if not already present.

           --version VERSION
                  Version to use. Applies to all packages.

           --git-tag GIT_TAG
                  Git tag to use for GitHub recipes.

           --all-urls
                  Look at all URLs, not just source URLs. Use  this  if  it  can't
                  find the right URL.

           --cran-url CRAN_URL
                  URL to use for CRAN (default: https://cran.r-project.org/).

           --recursive
                  Create recipes for dependencies if they do not already exist.

           --no-recursive
                  Don't  create  recipes  for  dependencies if they do not already
                  exist.

           --no-archive
                  Don't include an Archive download url.

           --version-compare
                  Compare the package version of the recipe with the one available
                  on  CRAN.  Exits  1 if a newer version is available and 0 other-
                  wise.

           --update-policy              {error,skip-up-to-date,skip-existing,over-
           write,merge-keep-build-num,merge-incr-build-num}
                  Dictates what to do when existing packages  are  encountered  in
                  the output directory (set by --outputdir). In the present imple-
                  mentation, the  merge  options  avoid  overwriting  bld.bat  and
                  build.sh  and  only  manage  copying  across  patches,  and  the
                  `build/{number,script_env}` fields. When  the  version  changes,
                  both  merge options reset `build/number` to 0.  When the version
                  does not change they either keep the old `build/number` or  else
                  increase it by one.

    Continuum Analytics              November 2017                        CONDA(1)